> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Progress policies for an end user

> Triggers the policy progression workflow for a specific end user




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/policies/progress
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/policies/progress:
    post:
      tags:
        - Policy
      summary: Progress policies for an end user
      description: |
        Triggers the policy progression workflow for a specific end user
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProgressPolicySchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    example: true
                    type: boolean
                type: object
          description: Ok
        '404':
          description: End user not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ProgressPolicySchema:
      properties:
        end_user_heron_id:
          type: string
      required:
        - end_user_heron_id
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````